Bug 1043791 - Improve performance of Infinispan Lucene directory provider
Summary: Improve performance of Infinispan Lucene directory provider
Keywords:
Status: VERIFIED
Alias: None
Product: JBoss Data Grid 6
Classification: JBoss
Component: Infinispan
Version: 6.2.0
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: CR1
: 6.2.0
Assignee: Tristan Tarrant
QA Contact: Martin Gencur
URL:
Whiteboard:
: 1045082 (view as bug list)
Depends On:
Blocks: 1017190
TreeView+ depends on / blocked
 
Reported: 2013-12-17 08:10 UTC by Martin Gencur
Modified: 2022-03-03 21:26 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: Bug


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Issue Tracker ISPN-3586 0 Major Resolved Improve performance of Infinispan Lucene directory provider 2015-09-11 13:57:32 UTC
Red Hat Issue Tracker ISPN-3833 0 Major Resolved QueryInterceptor#updateKnownTypesIfNeeded invokes into the cluster registry too frequently 2015-09-11 13:57:31 UTC
Red Hat Issue Tracker ISPN-3834 0 Major Resolved New advanced indexing flag to skip deletion of previous entry 2015-09-11 13:57:31 UTC
Red Hat Issue Tracker ISPN-3844 0 Minor Resolved Cluster Registry cache does not need to provide return value for put and remove 2015-09-11 13:57:32 UTC

Description Martin Gencur 2013-12-17 08:10:42 UTC
See the linked JIRA.

Comment 2 Adrian Nistor 2013-12-19 16:10:26 UTC
*** Bug 1045082 has been marked as a duplicate of this bug. ***

Comment 3 Adrian Nistor 2013-12-19 16:53:37 UTC
Martin, Tristan, could you please add the following jiras? It seems I do not have access rights to edit 'External Trackers'

    https://issues.jboss.org/browse/ISPN-3833
    https://issues.jboss.org/browse/ISPN-3834
    https://issues.jboss.org/browse/ISPN-3844

Comment 4 Adrian Nistor 2013-12-19 18:42:23 UTC
Pull request here: https://github.com/infinispan/jdg/pull/4

Comment 5 Vojtech Juranek 2014-01-06 08:31:45 UTC
I observed that the main improvement (introducing SKIP_INDEX_CLEANUP parameter) speed up import by factor of 3 (see [1] cf. to [2]) or even higher. Setting to verified, but please note this is not a general performance improvement (as the title of this BZ may suggest), but the main improvement applies only to some use cases when SKIP_INDEX_CLEANUP parameter can be used (i.e. typically to initial import when the index is empty).   

[1] https://jenkins.mw.lab.eng.bos.redhat.com/hudson/job/jdg-qe-testsuite-infinispan-snapshot-BZ1043791/16/console
[2] https://jenkins.mw.lab.eng.bos.redhat.com/hudson/job/jdg-qe-testsuite-infinispan-snapshot-BZ1043791/17/console


Note You need to log in before you can comment on or make changes to this bug.